#include <stdlib.h>
#include <stdio.h>

void main()
{
	int i;
	void *a,*b;
	for (i = 1;i<100;i++)
	{
		a = malloc(i);
		b = malloc(1);
		printf("i = %d, space = %d\n",i,b-a);
		free(b);
		free(a);
	}
}

